{
  config,
  pkgs,
  lib,
  self,
  ...
}:
with lib; let
  psCfg = config.pub-solar;
  xdg = config.home-manager.users."${psCfg.user.name}".xdg;
in {
  imports = [
    ./configuration.nix
    ./nextcloud-web-tunnel.nix
    ./restic-backup.nix
  ];

  config = {
    hardware.cpu.intel.updateMicrocode = true;

    pub-solar.core.disk-encryption-active = false;
    pub-solar.core.lite = true;

    security.sudo.extraRules = [
      {
        users = ["${psCfg.user.name}"];
        commands = [
          {
            command = "ALL";
            options = ["NOPASSWD"];
          }
        ];
      }
    ];

    services.ddclient = {
      enable = true;
      ipv6 = true;
      domains = ["backup.b12f.io"];
      server = "ddns.hosting.de";
      username = "b12f";
      use = "web, web=http://checkip6.spdyn.de/, web-skip=''";
      passwordFile = "/run/agenix/dyndns-droppie.key";
    };

    age.secrets."dyndns-droppie.key" = {
      file = "${self}/secrets/dyndns-droppie.key";
      mode = "400";
      owner = "root";
    };
  };
}
