{
  config,
  pkgs,
  lib,
  self,
  ...
}:
with lib; let
  psCfg = config.pub-solar;
  xdg = config.home-manager.users."${psCfg.user.name}".xdg;
in {
  age.secrets."cat-test.ovpn" = {
    file = "${self}/secrets/cat-test.ovpn";
    mode = "700";
    owner = psCfg.user.name;
  };

  age.secrets.".fwknoprc" = {
    file = "${self}/secrets/.fwknoprc";
    mode = "600";
  };

  services.openvpn.servers = {
    catVPN = {
      config = ''config ${config.age.secrets."cat-test.ovpn".path}'';
    };
  };

  systemd.services.openvpn-catVPN.serviceConfig.ExecStartPre = "${pkgs.fwknop}/bin/fwknop --rc-file=${config.age.secrets.".fwknoprc".path} --no-save-args --no-home-dir --save-args-file=/dev/null -n hetzner_test_cloud --wget-cmd=${pkgs.wget}/bin/wget";

  home-manager = pkgs.lib.setAttrByPath ["users" psCfg.user.name] {
    programs.ssh = {
      matchBlocks = {
        "salt.base.test" = {
          hostname = "10.0.0.2";
          user = "bbaedorf";
        };

        "salt.gateway.test" = {
          hostname = "10.0.0.3";
          user = "root";
          proxyJump = "root@salt.base.test";
        };
      };
    };
  };
}
